Subject: bug#12965: 24.3.50; Suppress *Compile-log* buffer during init

From: Stefan Monnier <[email-masked]>
Date: Fri, 23 Nov 2012 10:46:47 -0500

> When I am starting up my Emacs, I am getting a split window with top
> half containing `initial-buffer-choice' and bottom half showing
> "*Compile-Log*" contents.
> ,----
> | elisp/bbdb-2.35/lisp/bbdb-com.elc:Warning: Use `with-current-buffer' rather
> |     than save-excursion+set-buffer
> | .emacs.elc:Warning: reference to free variable `Info-current-file'
> `----
> Should snippet below /really/ produce a "*Compile-Log*" when /loading/
> my .emacs.elc.

This is not a new problem, actually.  Even if it didn't happen earlier,
it's not because byte-compiler's warnings have changed, but because
some change either causes a code to be byte-compiled which wasn't before.

My guess is that the changes in advice.el have as a side consequence
that your advice now gets compiled even before info.el is loaded.

> Anyways, I need a way to have this "*Compile-Log*" suppressed or buried.

Yes, I think we should change bytecomp.el so that those warnings get
output via `message' when we're not byte-compiling a whole file.

> AFAIK, this "split-window-with-compile-log-in-foreground" is a fairly
> recent behaviour with the trunk.

Actually, no, it's been there for quite a while.

        Stefan